Project

General

Profile

Bug #4548

Gem unpack fails due to missing permissions on /usr/lib/ruby/gems/1.8

Added by roelofr (Roelof Reitsma) about 8 years ago. Updated about 8 years ago.

Status:
Open
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
1.8.7 patchlevel 330
[ruby-core:<unknown>]

Description

=begin
Hi,

I had to update Rubygems, but version 1.6.2 has a regression, similar to #3056.
If I use the gem unpack command, it complains about

ERROR: While executing gem ... (Gem::FilePermissionError)
You don't have write permissions into the /usr/lib/ruby/gems/1.8 directory.

I don't think I need permissions to the gems directory to unpack a gem.

=end

Also available in: Atom PDF